Vous n'êtes pas identifié(e).

Annonce

ATTENTION

  • Prenez le temps de rechercher si quelqu'un n'a pas déjà proposé une solution à votre problème. Sur le forum français et sur le wiki
  • Pensez à mettre à jour votre version de CMS Made Simple. Nous ne faisons de support que sur LA dernière version de CMS Made Simple.
  • Renseignez impérativement le formulaire de nouveau message de manière la plus complète que possible. Dans votre CMS utiliser le menu Administration du site/Informations du système en haut Vue au format texte. Ces informations demandées nous permettent de mieux vous aider
  • Ajoutez [Résolu] au début du titre de votre 1er message lorsqu'une solution a été trouvée.

#1 19/05/2011 09:51:59

berninoel42
Membre
Inscription : 26/08/2009
Messages : 159

[resolu] Cohabitation php4 et php5

#~~~~~ DEBUT BLOC A NE PAS SUPPRIMER ~~~~~
#~ Version du CMS: #1.9.4.1
#~ Url du site :
#~ Hébergeur / Soft : Agiir Network
#~ Informations Système :
#~      actuellement site sous php4 en version  1.6.6
#~~~~~ FIN BLOC A NE PAS SUPPRIMER ~~~~~



Je veux refaire un de mes sites et passer sous une version 1.9.4 qui nécessite php5. Le problème est que mon hébergeur ne fait pas de cohabitation PHP4 et PHP5. Il me dit chez nous c'est soit php4 soit php5. Ma question est : si je décide de passer mon serveur en php 5 que va t'il se passer pour le site actuel? (Est ce que ce qui peut le plus peut le moins? ) mon site en version 1.6.6 fonctionnera t-il en php5?

Existe il des manipulations? des astuces...

Merci

Dernière modification par berninoel42 (19/05/2011 15:06:33)

Hors ligne

 

#2 19/05/2011 10:14:11

bess
Administrateur
Lieu : Rennes
Inscription : 16/12/2008
Messages : 6 094
Site Web

Hors ligne

#3 19/05/2011 10:28:08

berninoel42
Membre
Inscription : 26/08/2009
Messages : 159

Re : [resolu] Cohabitation php4 et php5

J'ai demandé à mon hébergeur une version de php5.2.4 au minimum ( avec une préférence pour 5.2.12  comme s'est indiqué).mais il ne m'a pas indiqué la version qu'il prévoyait...

Hors ligne

#4 19/05/2011 10:32:26

bess
Administrateur
Lieu : Rennes
Inscription : 16/12/2008
Messages : 6 094
Site Web

Hors ligne

#5 19/05/2011 14:52:22

berninoel42
Membre
Inscription : 26/08/2009
Messages : 159

Re : [resolu] Cohabitation php4 et php5

Bon pour faire plus simple je vais prendre un autre serveur déjà configurer en php5.. Mais j'aurais aimé savoir ce qu'il se passerai si je changeais la version (passage a php5 ) d'un site site fonctionnait avec php4. Le site ne fonctionnerait plus ou ce serait complétement transparent?

Hors ligne

#6 19/05/2011 15:04:16

bess
Administrateur
Lieu : Rennes
Inscription : 16/12/2008
Messages : 6 094
Site Web

Re : [resolu] Cohabitation php4 et php5

mais comment veux tu que je sache te répondre puisque je ne suis pas l'auteur du code d'origine ?

Ne tentes pas le diable. Tu veux une réponse ? fait des tests en local, c'est l'unique moyen de savoir si un code reste compatible entre php4 et 5.

parce qu'à la question que tu vas inévitablement poser "mais qu'est ce qu'il a comme changement entre php4 et 5?", je te répond d'avance : énormément de chose, et beaucoup de méthode deviennent au passage interdites ou au mieux obsolètes.

donc : teste et renseignes toi sur des sites spécialisés.

http://www.google.fr/search?q=passage+php4+php5
http://www.google.fr/search?hl=fr&q=migration+php4+php5

Hors ligne

Pied de page des forums

  Flux Rss Twitter FaceBook